{% extends 'base.html' %}

{% block head %}
	<title>Home</title>
{% endblock %}

{% block body %}
	<div class="play_game container" id="main">
		<h2>TIC TOC TOE 50</h2>
		<h4>Game starts after adding two player's with own PIN, no maters if you are old or new</h4>

		<!-- Game Instructions -->
		<div class="row game-pad">


			<div class="col-md-6">
				<p id="ins">
					<table class="table table-striped player-table">
						<tr>
							{% if user.user_1 %}
								<th>First Player </th> <td id="player_x">{{user.user_1}} </td> 	<td><a href="game-history/{{user.user_1}}"><i class="fa fa-history" aria-hidden="true"></i></a></td>
							{% endif %}
						</tr>
						<tr>
							{% if user.user_2 %}
								<th>Second Player </th> <td id="player_y">{{user.user_2}}</td> 	<td><a href="game-history/{{user.user_2}}"><i class="fa fa-history" aria-hidden="true"></i></a></td>
							{% endif %}
						</tr>
					</table>
				</p>

				{% if not user.user_1 or not user.user_2 %}
					<form action="/play-game" method="POST" class="form">
						<span class="error">{{msg}}</span>
						<input required class="form-control form-control-lg" type="text" placeholder="Username" name="username">
						<input required class="form-control" type="password" placeholder="PIN" name="pin" maxlength="5">
					  	<button type="submit" class="btn btn-primary">Add Player</button>
					</form>
				{% endif %}

			</div>
			<div class="col-md-6">
				<!-- 3*3 grid of Boxes -->

				{% if user.user_1 and user.user_2 %}
					<input type="text" id="b1" onclick="myfunc_3(); myfunc();" readonly>

					<input type="text" id="b2" onclick="myfunc_4(); myfunc();" readonly>

					<input type="text" id="b3" onclick="myfunc_5(); myfunc();" readonly>
					<br><br>

					<input type="text" id="b4" onclick="myfunc_6(); myfunc();" readonly>
						
					<input type="text" id="b5" onclick="myfunc_7(); myfunc();" readonly>

					<input type="text" id="b6" onclick="myfunc_8(); myfunc();" readonly>
					<br><br>

					<input type="text" id="b7" onclick="myfunc_9(); myfunc();" readonly>

					<input type="text" id="b8" onclick="myfunc_10();myfunc();" readonly>

					<input type="text" id="b9" onclick="myfunc_11();myfunc();" readonly>
				{% else %}
					<input type="text" id="b1" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');" readonly>

					<input type="text" id="b2" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>

					<input type="text" id="b3" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>
					<br><br>

					<input type="text" id="b4" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>
						
					<input type="text" id="b5" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>

					<input type="text" id="b6" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>
					<br><br>

					<input type="text" id="b7" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>

					<input type="text" id="b8" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>

					<input type="text" id="b9" onclick="alert('Need to add two player\'s.', 'Oops! Player\'s not added.');"  readonly>
				{% endif %}

				<!-- Grid end here -->
				<br><br><br>
				<!-- Button to reset game -->
				<button id="but" onclick="myfunc_2()">RESET</button>

				<br><br>
				<!-- Space to show player turn -->
				<p id="print"></p>
			</div>
		</div>
	</div>
{% endblock %}